class CreateOpenSourceProjects < ActiveRecord::Migration
  def change
    create_table :open_source_projects do |t|
      t.column "name",    :string,  :default => nil, :null => true
      t.column "description", :text, :null => true
      t.column "commit_count", :integer, :default => 0
      t.column "code_line",  :integer, :default => 0
      t.column "users_count",:integer, :default => 0
      t.column "last_commit_time",  :date, :null => true
      t.column "url", :string, :default => nil, :null => true
      t.column "date_collected", :date, :null => true
      t.timestamps
    end
  end
end
